Package ru.bitel.bgbilling.modules.reports.server.bean.filter

# Class ReportUseDynamicClassFiller

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.filter.ReportUseDynamicClassFiller

All Implemented Interfaces:
  `ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.CSVFillerData`

    public abstract class ReportUseDynamicClassFiller
    extends java.lang.Object
    implements ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.CSVFillerData

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReportUseDynamicClassFiller()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `fillReport​(java.sql.Connection con, BGReportFilter filter, BGReportTemplate.ReportResult result)` |
  `void` | `fillReport​(java.sql.Connection con, BGReportFilter filter, ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.ReportResult result)` |
  `protected abstract void` | `fillReportImpl​(java.sql.Connection con, BGReportFilter filter, java.util.List<java.util.Map<java.lang.String,​java.lang.String>> fields, java.util.Map<java.lang.String,​java.lang.String> params)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReportUseDynamicClassFiller

    public ReportUseDynamicClassFiller()

- ## Method Details

  - ### fillReport

    public void fillReport​(java.sql.Connection con, BGReportFilter filter, ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.ReportResult result) throws java.lang.Exception
    Specified by:
      `fillReport` in interface `ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.CSVFillerData`
    Throws:
      `java.lang.Exception`

  - ### fillReport

    public void fillReport​(java.sql.Connection con, BGReportFilter filter, BGReportTemplate.ReportResult result) throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### fillReportImpl

    protected abstract void fillReportImpl​(java.sql.Connection con, BGReportFilter filter, java.util.List<java.util.Map<java.lang.String,​java.lang.String>> fields, java.util.Map<java.lang.String,​java.lang.String> params) throws java.lang.Exception
    Throws:
      `java.lang.Exception`